HUGO-COMPLETION-ZSH(1)

NAME

hugo-completion-zsh - generate the autocompletion script for zsh

SYNOPSIS

hugo completion zsh [flags]

DESCRIPTION

Generate the autocompletion script for the zsh shell.

If shell completion is not already enabled in your environment you will need to enable it. You can execute the following once:

$ echo "autoload -U compinit; compinit" >> /.zshrc

To load completions for every new session, execute once:

Linux:

$ hugo completion zsh > "${fpath[1]}/_hugo"

macOS:

$ hugo completion zsh > /usr/local/share/zsh/site-functions/_hugo

You will need to start a new shell for this setup to take effect.

OPTIONS

-h, --help[=false]
    help for zsh

--no-descriptions[=false]
    disable completion descriptions

OPTIONS INHERITED FROM PARENT COMMANDS

--config=""
    config file (default is path/config.yaml|json|toml)

--configDir="config"
    config dir

--debug[=false]
    debug output

-e, --environment=""
    build environment

--ignoreVendor[=false]
    ignores any _vendor directory

--ignoreVendorPaths=""
    ignores any _vendor for module paths matching the given Glob pattern

--log[=false]
    enable Logging

--logFile=""
    log File path (if set, logging enabled automatically)

--quiet[=false]
    build in quiet mode

-s, --source=""
    filesystem path to read files relative from

--themesDir=""
    filesystem path to themes directory

-v, --verbose[=false]
    verbose output

--verboseLog[=false]
    verbose logging

SEE ALSO

hugo-completion(1)